Name: 		sysstat
Version: 	10.2.0
Release: 	%mkrel 1
Summary: 	Includes the sar and iostat system monitoring commands
License: 	GPLv2
Group: 		Monitoring
URL: 		http://pagesperso-orange.fr/sebastien.godard/
Source: 	http://pagesperso-orange.fr/sebastien.godard/%{name}-%{version}.tar.bz2
Patch0:		sysstat-10.1.2-fix-format-errors.patch

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts.
They enable system monitoring of disk, network, and other IO activity.

%prep
%setup -q
%patch0 -p1 -b .strfmt

%build
export sa_lib_dir=%{_libdir}/sa 
%configure2_5x 
make CFLAGS="$RPM_OPT_FLAGS" \
	PREFIX="%{_prefix}" \
	SA_LIB_DIR="%{_libdir}/sa" \
	MAN_DIR="%{_mandir}"


%install
rm -rf %{buildroot}

make MAN_DIR=%{_mandir} IGNORE_MAN_GROUP=y PREFIX=%{_prefix} DESTDIR=%{buildroot}  SA_LIB_DIR=%{_libdir}/sa install

rm -fr %{buildroot}%{_datadir}/doc/%{name}-%{version}

mkdir -p %{buildroot}/etc/{cron.daily,cron.hourly}

cat > %{buildroot}/etc/cron.daily/%name <<EOF
#!/bin/sh

# generate a daily summary of process accounting.
%_libdir/sa/sa2 -A &

EOF
chmod +x  %{buildroot}/etc/cron.daily/%name

cat > %{buildroot}/etc/cron.hourly/%name <<EOF
#!/bin/sh

# snapshot system usage every 10 minutes six times.
%_libdir/sa/sa1 600 6 &

EOF
chmod +x  %{buildroot}/etc/cron.hourly/%name

rm -fr %{buildroot}%_prefix/doc

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES COPYING CREDITS FAQ README
%config(noreplace) %{_sysconfdir}/cron.hourly/sysstat
%config(noreplace) %{_sysconfdir}/cron.daily/sysstat
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat.ioconf
%config(noreplace) %{_sysconfdir}/sysconfig/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
/var/log/sa


%changelog
* Tue Nov 05 2013 luigiwalser <luigiwalser> 10.2.0-1.mga4
+ Revision: 549750
- 10.2.0

* Sat Oct 19 2013 umeabot <umeabot> 10.1.7-2.mga4
+ Revision: 534770
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 luigiwalser <luigiwalser> 10.1.7-1.mga4
+ Revision: 478745
- 10.1.7

* Mon Jun 10 2013 luigiwalser <luigiwalser> 10.1.6-1.mga4
+ Revision: 441370
- 10.1.6

* Fri May 24 2013 luigiwalser <luigiwalser> 10.1.5-1.mga4
+ Revision: 426754
- 10.1.5

* Mon Jan 21 2013 malo <malo> 10.1.3-3.mga3
+ Revision: 390512
- update RPM group

* Mon Jan 14 2013 umeabot <umeabot> 10.1.3-2.mga3
+ Revision: 383959
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 luigiwalser <luigiwalser> 10.1.3-1.mga3
+ Revision: 334744
- 10.1.3

* Sun Oct 07 2012 luigiwalser <luigiwalser> 10.1.2-1.mga3
+ Revision: 303141
- 10.1.2
- update patch 0

* Mon Jul 30 2012 guillomovitch <guillomovitch> 10.1.1-1.mga3
+ Revision: 276001
- new version

* Sun Jun 03 2012 luigiwalser <luigiwalser> 10.0.5-1.mga3
+ Revision: 253498
- 10.0.5

* Sun Apr 15 2012 luigiwalser <luigiwalser> 10.0.4-1.mga2
+ Revision: 230968
- 10.0.4

* Mon Dec 12 2011 guillomovitch <guillomovitch> 10.0.3-1.mga2
+ Revision: 181009
- drop obsolete upgrade trigger
- don't remove logs on uninstallation, no other package do it
- new version
- spec cleanup

* Mon Feb 21 2011 ennael <ennael> 9.6.1-1.mga1
+ Revision: 55077
- imported package sysstat


* Wed Dec 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 9.6.1-1mdv2011.0
+ Revision: 604500
- fix version
---This line, and those below, will be ignored--
  D    SOURCES/sysstat-9.0.6.1.tar.gz
  AM   SOURCES/sysstat-9.6.1.tar.gz
  M    SPECS/sysstat.spec
- correct version
- update to 9.0.6.1

* Sun Jul 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 9.1.3-1mdv2011.0
+ Revision: 551164
- fix source (use a tar.gz given by upstream)
- update to 9.1.3

* Sat Apr 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 9.1.1-2mdv2010.1
+ Revision: 538440
- don't define {name version release} on top of spec.
- fix license to GPLv2 (according to COPYING file)
- use %%configure2_5x
- use 'rm -rf' in %%preun
- use {_sysconfdir} in %%files
- bump rel

  + trem <trem@mandriva.org>
    - update to 9.1.1

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.6-1mdv2010.1
+ Revision: 465205
- update to new version 9.0.6

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.5-1mdv2010.0
+ Revision: 447885
- update to new version 9.0.5

* Mon Jul 20 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.4-1mdv2010.0
+ Revision: 398230
- Update to new version 9.0.4

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.3-1mdv2010.0
+ Revision: 379246
- Update to new version 9.0.3

* Wed Mar 11 2009 Frederik Himpe <fhimpe@mandriva.org> 9.0.1-1mdv2009.1
+ Revision: 353925
- Update to new version 9.0.1
- Add patch fixing build with -Werror=format-security

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 8.1.6-1mdv2009.1
+ Revision: 291684
- update to new version 8.1.6

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 8.1.3-3mdv2009.0
+ Revision: 269402
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Olivier Thauvin <nanardon@mandriva.org> 8.1.3-2mdv2009.0
+ Revision: 218224
- fix path substitution, then fixing #41296

* Sun May 25 2008 trem <trem@mandriva.org> 8.1.3-1mdv2009.0
+ Revision: 211253
- 8.1.3

* Mon Feb 11 2008 Olivier Thauvin <nanardon@mandriva.org> 8.1.1-1mdv2008.1
+ Revision: 165159
- 8.1.1

* Wed Jan 16 2008 Thierry Vignaud <tv@mandriva.org> 7.1.6-3mdv2008.1
+ Revision: 153724
- remove useless kernel require
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 7.1.6-2mdv2008.0
+ Revision: 70353
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago

* Wed Aug 22 2007 Erwan Velu <erwan@mandriva.org> 7.1.6-1mdv2008.0
+ Revision: 69301
- 7.1.6

* Wed Jul 04 2007 Erwan Velu <erwan@mandriva.org> 7.1.5-1mdv2008.0
+ Revision: 48238
- 7.1.5

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 7.1.3-1mdv2008.0
+ Revision: 17463
- 7.1.3


* Mon Jan 15 2007 Erwan Velu <erwan@mandriva.org> 7.0.3-1mdv2007.0
+ Revision: 109241
- 7.0.3
- Import sysstat

* Tue May 30 2006 Erwan Velu <erwan@seanodes.com> 6.1.3-1mdk
- 6.1.3

* Fri Dec 02 2005 Erwan Velu <erwan@seanodes.com> 6.0.2-1mdk
- 6.0.2

* Sat Nov 26 2005 Olivier Thauvin <nanardon@mandriva.org> 6.0.1-3mdk
- mkrel
- prereq fix

* Sat Nov 26 2005 Olivier Thauvin <nanardon@mandriva.org> 6.0.1-2mdk
- fix cron on amd64 (aka libdir path)

* Tue Jun 28 2005 Erwan Velu <erwan@seanodes.com> 6.0.1-1mdk
- 6.0.1

* Thu Aug 26 2004 Anne Nicolas <anne@lea-linux.org> 5.0.6-1mdk
- new release 
- add URL

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.3-1mdk
- new release

